This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 683956 - raid creation doesn't do the right thing with --spares during kickstart
raid creation doesn't do the right thing with --spares during kickstart
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
15
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
AcceptedBlocker
:
Depends On:
Blocks: F15Beta/F15BetaBlocker
  Show dependency treegraph
 
Reported: 2011-03-10 13:43 EST by David Lehman
Modified: 2011-04-05 17:38 EDT (History)
2 users (show)

See Also:
Fixed In Version: anaconda-15.26-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 683605
Environment:
Last Closed: 2011-04-05 17:38:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Lehman 2011-03-10 13:43:09 EST
+++ This bug was initially created as a clone of Bug #683605 +++

Description of problem:
This config (snippet from my actual kickstart config):
 part raid.0 --ondisk=sda --asprimary --fstype ext4 --size=10000 --grow
 part raid.1 --ondisk=sdb --asprimary --fstype ext4 --size=10000 --grow
 part raid.2 --ondisk=sdc --asprimary --fstype ext4 --size=10000 --grow
 raid /     --level=1 --device=md0 --spares=1  --fstype=ext4 raid.0 raid.1 raid.2

Should result in a two-device mirror + one spare.

Instead, it's a three-device mirror with no spare.
Comment 1 James Laska 2011-03-11 14:43:50 EST
Hey Dave, is this already fixed in anaconda-15.22-1, or something later?
Comment 2 David Lehman 2011-03-11 15:38:28 EST
The fix will be in anaconda-15.23-1.
Comment 3 Adam Williamson 2011-03-18 13:11:12 EDT
Discussed at 2011-03-18 blocker review meeting. Accepted as a blocker per criterion "# The installer must be able to create and install to software, hardware or BIOS RAID-0, RAID-1 or RAID-5 partitions for anything except /boot". Fix pending so we're not worried!~
Comment 4 Fedora Update System 2011-03-29 16:52:02 EDT
anaconda-15.26-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/anaconda-15.26-1.fc15
Comment 5 Fedora Update System 2011-03-29 22:25:33 EDT
Package anaconda-15.26-1.fc15:
* should fix your issue,
* was pushed to the Fedora 15 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing anaconda-15.26-1.fc15'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/anaconda-15.26-1.fc15
then log in and leave karma (feedback).
Comment 6 Fedora Update System 2011-04-05 17:37:28 EDT
anaconda-15.26-1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.